commit:     16f16831ce3fd63d5c4498049606d0a804fe2b7d
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 11 21:40:20 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Dec 11 21:40:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16f16831

app-shells/zsh: Version bump to 5.2

Gentoo-Bug: 567470

Package-Manager: portage-2.2.26

 app-shells/zsh/Manifest       |   2 +
 app-shells/zsh/zsh-5.2.ebuild | 213 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 215 insertions(+)

diff --git a/app-shells/zsh/Manifest b/app-shells/zsh/Manifest
index 782f83d..c4c636c 100644
--- a/app-shells/zsh/Manifest
+++ b/app-shells/zsh/Manifest
@@ -6,3 +6,5 @@ DIST zsh-5.0.8-doc.tar.bz2 3204865 SHA256 
0ee5088c47fa5ceac6e087c7e00f2ede3f5920
 DIST zsh-5.0.8.tar.bz2 3250542 SHA256 
8079cf08cb8beff22f84b56bd72bb6e6962ff4718d816f3d83a633b4c9e17d23 SHA512 
79e438e32802c030749fd1bfff07fb3e5e7f7864e5106233c6f51ea477aa5a8471449e22f262f03bf69f42e66bf39e3b8a93295a247436ce97c66409b582ceae
 WHIRLPOOL 
3ed95b2763bd3e486104a9f935efc89fd9ff1b3d745c1c3a93181a511c2986246e4f14c6d15fd88dd735c006127523ce423150813147250343871c9e2f40f413
 DIST zsh-5.1.1-doc.tar.xz 3061616 SHA256 
f5944f29ec77100afdc3634f0bb8ffc4328a2d03147f23d1aa6280b6aa7d622f SHA512 
868444662ca9b1cc91f2ecff56ce0944e5e75fc5f5a349eb538ca23a8eb8fb4ebaa8efc2ba1d8581424f25b0009305ed7a6f08ca06db1ecde467eeb5d6b71621
 WHIRLPOOL 
c72760d754e19e7fe1f501bd395becc13877d4b0ba20fbf1f08855be5affb78aac07e2c14e779c1b554e21e29d8bfd5203dd41da5d3f21020dac7033510a4662
 DIST zsh-5.1.1.tar.xz 2788676 SHA256 
74e9453b5470b3c0970f9f93cfd603d241c3d7b1968adc0e4b3951073e8d3dec SHA512 
732f183a03125e83da11a38c638ca54a667326a23ca19418b0df27b1d5b3b1f360383d84f66bde064911effaa2ce9cbb9b6ab86deddb92f80e8f601af8a82b3e
 WHIRLPOOL 
55199e45557c2667e8f9b7564af44b32b610fe09db451493bd64642c2987e12a638b2b96d6530a16427ba17a6ca8c20e73f88013cf47996eea24e5e1595691e7
+DIST zsh-5.2-doc.tar.xz 3108600 SHA256 
328352cf3d5d0ec4b6e31dcefd25ff5b4c0e6b8077d1fe84448ebb50d6ada52a SHA512 
a2e6b95c293546011e1697e0a2f66a3740092ef61904fa3b469f33e8af0ced6028fac77cd51ebe9ee4cb168403d9af7c72fd071a15ba3dc273243bd71fa714a0
 WHIRLPOOL 
a6b023af9e3d94d31b56aba688c2bf3c16ff6ed1dc9db34dd970c4bf0461e24b7aab0b9113cc5f16bd87ab2ca9d973a990a3721c08500cbcd45fa2fe2d43a260
+DIST zsh-5.2.tar.xz 2820108 SHA256 
f17916320ffaa844bbd7ce48ceeb5945fc5f3eff64b149b4229bbfbdf3795a9d SHA512 
9938af95e09203a0a313f441e0c23279136806f6f087475ca9a66c678c57ecffc87f73ece8133a36700af8de7cb5d1bec8559eabdec2b66102062e64026c2e72
 WHIRLPOOL 
5348ce11026a4e50d0ecf118cb379e9765cb98fcf32563489fd860ad0234c3f3aefb7f3fe28d18a97f2ddba54dc2b2cf9909b81cdc0e213f26f599ba68fd8833

diff --git a/app-shells/zsh/zsh-5.2.ebuild b/app-shells/zsh/zsh-5.2.ebuild
new file mode 100644
index 0000000..295b2ca
--- /dev/null
+++ b/app-shells/zsh/zsh-5.2.ebuild
@@ -0,0 +1,213 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic multilib prefix
+
+if [[ ${PV} == 9999* ]] ; then
+       inherit git-r3 autotools
+       EGIT_REPO_URI="git://git.code.sf.net/p/zsh/code"
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+       SRC_URI="http://www.zsh.org/pub/${P}.tar.xz
+               doc? ( http://www.zsh.org/pub/${P}-doc.tar.xz )"
+fi
+
+DESCRIPTION="UNIX Shell similar to the Korn shell"
+HOMEPAGE="http://www.zsh.org/";
+
+LICENSE="ZSH gdbm? ( GPL-2 )"
+SLOT="0"
+IUSE="caps debug doc examples gdbm maildir pcre static unicode"
+
+RDEPEND="
+       >=sys-libs/ncurses-5.1:0
+       static? ( >=sys-libs/ncurses-5.7-r4:0=[static-libs] )
+       caps? ( sys-libs/libcap )
+       pcre? (
+               >=dev-libs/libpcre-3.9
+               static? ( >=dev-libs/libpcre-3.9[static-libs] )
+       )
+       gdbm? ( sys-libs/gdbm )
+"
+DEPEND="sys-apps/groff
+       ${RDEPEND}"
+PDEPEND="
+       examples? ( app-doc/zsh-lovers )
+"
+if [[ ${PV} == 9999* ]] ; then
+       DEPEND+=" app-text/yodl
+               doc? (
+                       sys-apps/texinfo
+                       app-text/texi2html
+                       virtual/latex-base
+               )"
+fi
+
+src_prepare() {
+       # fix zshall problem with soelim
+       ln -s Doc man1
+       mv Doc/zshall.1 Doc/zshall.1.soelim
+       soelim Doc/zshall.1.soelim > Doc/zshall.1
+
+       epatch "${FILESDIR}"/${PN}-init.d-gentoo-r1.diff
+       epatch "${FILESDIR}"/${PN}-5.1.0-gcc-5.patch #547950
+
+       cp "${FILESDIR}"/zprofile-1 "${T}"/zprofile || die
+       eprefixify "${T}"/zprofile || die
+       if use prefix ; then
+               sed -i -e 's|@ZSH_PREFIX@||' -e '/@ZSH_NOPREFIX@/d' 
"${T}"/zprofile || die
+       else
+               sed -i -e 's|@ZSH_NOPREFIX@||' -e '/@ZSH_PREFIX@/d' -e 's|""||' 
"${T}"/zprofile || die
+       fi
+
+       if [[ ${PV} == 9999* ]] ; then
+               sed -i "/^VERSION=/s/=.*/=${PV}/" Config/version.mk || die
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       local myconf=()
+
+       if use static ; then
+               myconf+=( --disable-dynamic )
+               append-ldflags -static
+       fi
+       if use debug ; then
+               myconf+=(
+                       --enable-zsh-debug
+                       --enable-zsh-mem-debug
+                       --enable-zsh-mem-warning
+                       --enable-zsh-secure-free
+                       --enable-zsh-hash-debug
+               )
+       fi
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               myconf+=( --enable-libs=-liconv )
+               append-ldflags -Wl,-x
+       fi
+
+       econf \
+               --bindir="${EPREFIX}"/bin \
+               --libdir="${EPREFIX}"/usr/$(get_libdir) \
+               --enable-etcdir="${EPREFIX}"/etc/zsh \
+               --enable-runhelpdir="${EPREFIX}"/usr/share/zsh/${PV%_*}/help \
+               --enable-fndir="${EPREFIX}"/usr/share/zsh/${PV%_*}/functions \
+               --enable-site-fndir="${EPREFIX}"/usr/share/zsh/site-functions \
+               --enable-function-subdirs \
+               --with-tcsetpgrp \
+               $(use_enable maildir maildir-support) \
+               $(use_enable pcre) \
+               $(use_enable caps cap) \
+               $(use_enable unicode multibyte) \
+               $(use_enable gdbm ) \
+               "${myconf[@]}"
+
+       if use static ; then
+               # compile all modules statically, see Bug #27392
+               # removed cap and curses because linking failes
+               sed -e "s,link=no,link=static,g" \
+                       -e "/^name=zsh\/cap/s,link=static,link=no," \
+                       -e "/^name=zsh\/curses/s,link=static,link=no," \
+                       -i "${S}"/config.modules || die
+               if ! use gdbm ; then
+                       sed -i '/^name=zsh\/db\/gdbm/s,link=static,link=no,' \
+                               "${S}"/config.modules || die
+               fi
+       fi
+}
+
+src_compile() {
+       default
+
+       if [[ ${PV} == 9999* ]] && use doc ; then
+               emake -C Doc everything
+       fi
+}
+
+src_test() {
+       addpredict /dev/ptmx
+       local i
+       for i in C02cond.ztst V08zpty.ztst X02zlevi.ztst Y01completion.ztst 
Y02compmatch.ztst Y03arguments.ztst ; do
+               rm "${S}"/Test/${i} || die
+       done
+       emake check
+}
+
+src_install() {
+       emake DESTDIR="${D}" install install.info
+
+       insinto /etc/zsh
+       doins "${T}"/zprofile
+
+       keepdir /usr/share/zsh/site-functions
+       insinto /usr/share/zsh/${PV%_*}/functions/Prompts
+       newins "${FILESDIR}"/prompt_gentoo_setup-1 prompt_gentoo_setup
+
+       local i
+
+       # install miscellaneous scripts (bug #54520)
+       sed -e "s:/usr/local/bin/perl:${EPREFIX}/usr/bin/perl:g" \
+               -e "s:/usr/local/bin/zsh:${EPREFIX}/bin/zsh:g" \
+               -i {Util,Misc}/* || die
+       for i in Util Misc ; do
+               insinto /usr/share/zsh/${PV%_*}/${i}
+               doins ${i}/*
+       done
+
+       # install header files (bug #538684)
+       insinto /usr/include/zsh
+       doins config.h Src/*.epro
+       for i in Src/{zsh.mdh,*.h} ; do
+               sed -e 's@\.\./config\[email protected]@' \
+                       -e 's@#\(\s*\)include "\([^"]\+\)"@#\1include 
<zsh/\2>@' \
+                       -i "${i}"
+               doins "${i}"
+       done
+
+       dodoc ChangeLog* META-FAQ NEWS README config.modules
+
+       if use doc ; then
+               pushd "${WORKDIR}/${PN}-${PV%_*}" >/dev/null
+               dohtml -r Doc/*
+               insinto /usr/share/doc/${PF}
+               doins Doc/zsh.{dvi,pdf}
+               popd >/dev/null
+       fi
+
+       docinto StartupFiles
+       dodoc StartupFiles/z*
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               echo
+               elog "If you want to enable Portage completions and Gentoo 
prompt,"
+               elog "emerge app-shells/gentoo-zsh-completions and add"
+               elog "  autoload -U compinit promptinit"
+               elog "  compinit"
+               elog "  promptinit; prompt gentoo"
+               elog "to your ~/.zshrc"
+               echo
+               elog "Also, if you want to enable cache for the completions, 
add"
+               elog "  zstyle ':completion::complete:*' use-cache 1"
+               elog "to your ~/.zshrc"
+               echo
+               elog "Note that a system zprofile startup file is installed. 
This will override"
+               elog "PATH and possibly other variables that a user may set in 
~/.zshenv."
+               elog "Custom PATH settings and similar overridden variables can 
be moved to ~/.zprofile"
+               elog "or other user startup files that are sourced after the 
system zprofile."
+               echo
+               elog "If PATH must be set in ~/.zshenv to affect things like 
non-login ssh shells,"
+               elog "one method is to use a separate path-setting file that is 
conditionally sourced"
+               elog "in ~/.zshenv and also sourced from ~/.zprofile. For more 
information, see the"
+               elog "zshenv example in 
${EROOT}/usr/share/doc/${PF}/StartupFiles/."
+               echo
+               elog "See https://wiki.gentoo.org/wiki/Zsh/HOWTO for more 
introduction documentation."
+               echo
+       fi
+}

Reply via email to